curl --request GET \
--url https://api.hypedexer.com/users/{user}/equity-history \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.hypedexer.com/users/{user}/equity-history"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.hypedexer.com/users/{user}/equity-history', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.hypedexer.com/users/{user}/equity-history",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.hypedexer.com/users/{user}/equity-history"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.hypedexer.com/users/{user}/equity-history")
.header("X-API-Key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.hypedexer.com/users/{user}/equity-history")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-API-Key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"success": true,
"message": "User equity history",
"data": {
"user": "0x010461c14e146ac35fe42271bdc1134ee31c703a",
"window": "7d",
"interval": "1d",
"coverage_start": "2026-09-06",
"summary": {
"points": 8,
"start_time": "2026-09-12T23:04:00Z",
"end_time": "2026-09-19T06:09:03Z",
"start_value": 3174428.292761,
"end_value": 3116873.389617,
"change_usd": -57554.903144,
"change_pct": -0.018131,
"max_drawdown_usd": 57554.903144,
"max_drawdown_pct": 0.018131
},
"points": [
{
"time": "2026-09-12T23:04:00Z",
"date": "2026-09-12",
"account_value": 3174428.292761,
"cash": 2798716.288172,
"position_value": 4095347.059439,
"unrealized_pnl": 19973.281622,
"account_leverage": 1.2900999784469604,
"n_positions": 177
},
{
"time": "2026-09-13T23:08:29Z",
"date": "2026-09-13",
"account_value": 3156377.391069,
"cash": 2750198.660469,
"position_value": 3969927.519106,
"unrealized_pnl": 866.206901,
"account_leverage": 1.257699966430664,
"n_positions": 177
},
{
"time": "2026-09-14T23:00:47Z",
"date": "2026-09-14",
"account_value": 3156155.300898,
"cash": 2762585.001448,
"position_value": 4093453.809052,
"unrealized_pnl": 1752.193939,
"account_leverage": 1.2969999313354492,
"n_positions": 177
},
{
"time": "2026-09-15T23:03:13Z",
"date": "2026-09-15",
"account_value": 3129702.536094,
"cash": 2932000.012038,
"position_value": 3902817.700914,
"unrealized_pnl": -23079.905905,
"account_leverage": 1.246999979019165,
"n_positions": 177
},
{
"time": "2026-09-16T23:07:50Z",
"date": "2026-09-16",
"account_value": 3128521.797048,
"cash": 2931627.180734,
"position_value": 3892583.812454,
"unrealized_pnl": -20589.851221,
"account_leverage": 1.2441999912261963,
"n_positions": 177
},
{
"time": "2026-09-17T23:02:11Z",
"date": "2026-09-17",
"account_value": 3120720.227896,
"cash": 3023072.911433,
"position_value": 4122608.541381,
"unrealized_pnl": -6680.871149,
"account_leverage": 1.3209999799728394,
"n_positions": 177
},
{
"time": "2026-09-18T23:01:31Z",
"date": "2026-09-18",
"account_value": 3117105.204859,
"cash": 3050607.81691,
"position_value": 4409596.440367,
"unrealized_pnl": 4933.721446,
"account_leverage": 1.4146000146865845,
"n_positions": 177
},
{
"time": "2026-09-19T06:09:03Z",
"date": "2026-09-19",
"account_value": 3116873.389617,
"cash": 2914324.071638,
"position_value": 4324828.015625,
"unrealized_pnl": 21938.983885,
"account_leverage": 1.3875999450683594,
"n_positions": 177
}
]
},
"total_count": null,
"execution_time_ms": 335.04,
"next_cursor": null,
"has_more": null
}Equity history
Account value over time, from hourly on-chain account snapshots. Each point carries cash, open notional, unrealized PnL, account leverage and position count; summary adds the change over the window and its max drawdown.
account_value is the perp clearinghouse value: the same number Hyperliquid returns as marginSummary.accountValue. Spot balances and HIP-3 builder-dex positions are not included.
A point with perp_account_empty: true means the account held no position and no perp balance at that snapshot (a real 0, not missing data). Snapshot coverage starts 2026-09-05.
curl --request GET \
--url https://api.hypedexer.com/users/{user}/equity-history \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.hypedexer.com/users/{user}/equity-history"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.hypedexer.com/users/{user}/equity-history', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.hypedexer.com/users/{user}/equity-history",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.hypedexer.com/users/{user}/equity-history"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.hypedexer.com/users/{user}/equity-history")
.header("X-API-Key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.hypedexer.com/users/{user}/equity-history")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-API-Key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"success": true,
"message": "User equity history",
"data": {
"user": "0x010461c14e146ac35fe42271bdc1134ee31c703a",
"window": "7d",
"interval": "1d",
"coverage_start": "2026-09-06",
"summary": {
"points": 8,
"start_time": "2026-09-12T23:04:00Z",
"end_time": "2026-09-19T06:09:03Z",
"start_value": 3174428.292761,
"end_value": 3116873.389617,
"change_usd": -57554.903144,
"change_pct": -0.018131,
"max_drawdown_usd": 57554.903144,
"max_drawdown_pct": 0.018131
},
"points": [
{
"time": "2026-09-12T23:04:00Z",
"date": "2026-09-12",
"account_value": 3174428.292761,
"cash": 2798716.288172,
"position_value": 4095347.059439,
"unrealized_pnl": 19973.281622,
"account_leverage": 1.2900999784469604,
"n_positions": 177
},
{
"time": "2026-09-13T23:08:29Z",
"date": "2026-09-13",
"account_value": 3156377.391069,
"cash": 2750198.660469,
"position_value": 3969927.519106,
"unrealized_pnl": 866.206901,
"account_leverage": 1.257699966430664,
"n_positions": 177
},
{
"time": "2026-09-14T23:00:47Z",
"date": "2026-09-14",
"account_value": 3156155.300898,
"cash": 2762585.001448,
"position_value": 4093453.809052,
"unrealized_pnl": 1752.193939,
"account_leverage": 1.2969999313354492,
"n_positions": 177
},
{
"time": "2026-09-15T23:03:13Z",
"date": "2026-09-15",
"account_value": 3129702.536094,
"cash": 2932000.012038,
"position_value": 3902817.700914,
"unrealized_pnl": -23079.905905,
"account_leverage": 1.246999979019165,
"n_positions": 177
},
{
"time": "2026-09-16T23:07:50Z",
"date": "2026-09-16",
"account_value": 3128521.797048,
"cash": 2931627.180734,
"position_value": 3892583.812454,
"unrealized_pnl": -20589.851221,
"account_leverage": 1.2441999912261963,
"n_positions": 177
},
{
"time": "2026-09-17T23:02:11Z",
"date": "2026-09-17",
"account_value": 3120720.227896,
"cash": 3023072.911433,
"position_value": 4122608.541381,
"unrealized_pnl": -6680.871149,
"account_leverage": 1.3209999799728394,
"n_positions": 177
},
{
"time": "2026-09-18T23:01:31Z",
"date": "2026-09-18",
"account_value": 3117105.204859,
"cash": 3050607.81691,
"position_value": 4409596.440367,
"unrealized_pnl": 4933.721446,
"account_leverage": 1.4146000146865845,
"n_positions": 177
},
{
"time": "2026-09-19T06:09:03Z",
"date": "2026-09-19",
"account_value": 3116873.389617,
"cash": 2914324.071638,
"position_value": 4324828.015625,
"unrealized_pnl": 21938.983885,
"account_leverage": 1.3875999450683594,
"n_positions": 177
}
]
},
"total_count": null,
"execution_time_ms": 335.04,
"next_cursor": null,
"has_more": null
}Authorizations
Your Hypedexer API key. Create one in the console at https://app.hypedexer.com. Authorization: Bearer <key> and the api_key query parameter are accepted as well.
Headers
Path Parameters
Trader address (0x + 40 hex, any case).
"0x0000000000bdc2fd416def2d8688069052eb0f87"
Query Parameters
Rolling window ending at request time.
7d, 30d, 90d, all 1h returns every snapshot; 1d returns the last snapshot of each day.
1h, 1d